#ifndef _WMUTIL_H

#define _WMUTIL_H

#include <stdio.h>

#include <windows.h> /* for WORD */

/* generic stuff */
int wm_eatWS(FILE *handle);
void wm_dispError(char *msg);
int wm_getMonNo(char *month);

/* console tat */
void wm_getPress();
void wm_showMessage(char *msg, WORD msgColour);
void wm_showStatusOrKeys(char *msg, int whichLine);
void wm_writeString(char *msg);
void wm_cls();
void wm_setHighlight(int newLine);
/* just a nice alias */
#define wm_clearStatus() wm_showMessage("", wmColours[WMNORMALCOL].colourNum)

/* line defs. for showStatusOrKeys */

#define WMSTATUS 0
#define WMKEYS 1

int wmCurrLine;

#endif
