#ifndef _WMUTTRC_H
#define _WMUTTRC_H

#define CONFIG_FILE "wmuttrc"

/* rc file constants */
#define WMRC_UNRECOG 0
#define WMRC_COMMENT 1
#define WMRC_SOURCE 2
#define WMRC_ALIAS 3
#define WMRC_SET 4
#define WMRC_UNSET 5
#define WMRC_COLOUR 6
#define WMRC_MYHDR 7

/* rc file functions */
int wm_getRCCom(char **line);
char *wm_getRCWord(char **line);
char *wm_getRCLine(char *line);
char *wm_getRCOptName(char **line, int *equals);
char *wm_getRCColNum(char **line, int *number);
char *wm_getRCCol(char **line, WORD *number, int which);
void wm_warnRC(char *errMsg, int line, char *file);

void wm_readConfig();
int wm_processConfFile(char *fileName);

#endif
